Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d.ui
Class CameraFirstPersonAction

    java.lang.Object
      org.eclipse.amp.agf3d.ui.CameraFirstPersonAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class CameraFirstPersonAction

extends java.lang.Object
implements org.eclipse.ui.IViewActionDelegate

The Class ZoomFitAction.

Constructor Summary
`CameraFirstPersonAction()`

Method Summary
`void` | `init(org.eclipse.ui.IViewPart view)`
`void` | `run(org.eclipse.jface.action.IAction action)`
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CameraFirstPersonAction

    public CameraFirstPersonAction()

Method Detail

### init

    public void init(org.eclipse.ui.IViewPart view)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`
  Parameters:
    `view` -
  See Also:
    `IViewActionDelegate.init(org.eclipse.ui.IViewPart)`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  Parameters:
    `action` -
  See Also:
    `IActionDelegate.run(org.eclipse.jface.action.IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  Parameters:
    `action` -
    `selection` -
  See Also:
    `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD